import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/** Demo the use of a keystroke listener */
public class AllCaps extends KeyAdapter {
  
  JFrame capsFrame;
  JLabel capsLabel;
  
  public AllCaps() {
    capsFrame= new JFrame();
    capsLabel= new JLabel(":)");
    capsLabel.setHorizontalAlignment(SwingConstants.CENTER);
    capsFrame.setSize(200,200);
    
    Container c= capsFrame.getContentPane();
    c.add(capsLabel);
    capsFrame.addKeyListener(this);
    capsFrame.show();
  }
  
  /** Process a key press. The character is e.getKeyChar() */
  public void keyPressed (KeyEvent e) {
    char typedChar= e.getKeyChar();
    capsLabel.setText("'" + typedChar + "'");
  }
  
}